import { API_READER } from '@/constants/api';
import { request } from '@umijs/max';

export async function apiQueryLogs(
  params: MasterModel.SearchLogPaginationBody,
  type: MasterModel.LogTypeRequest,
) {
  return request<MasterModel.LogResponse>(`${API_READER}/${type}/messages`, {
    params: params,
  });
}
